public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/, sys-boot/syslinux/files/
@ 2016-04-19  6:03 Mike Frysinger
  0 siblings, 0 replies; 6+ messages in thread
From: Mike Frysinger @ 2016-04-19  6:03 UTC (permalink / raw
  To: gentoo-commits

commit:     19ae69e682d94b2317057e4751e4b78555868362
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 19 06:03:08 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Tue Apr 19 06:03:15 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19ae69e6

sys-boot/syslinux: fix building w/newer glibc #579928

 .../syslinux/files/syslinux-6.03-sysmacros.patch   | 34 ++++++++++++++++++++++
 sys-boot/syslinux/syslinux-6.03.ebuild             |  2 ++
 2 files changed, 36 insertions(+)

diff --git a/sys-boot/syslinux/files/syslinux-6.03-sysmacros.patch b/sys-boot/syslinux/files/syslinux-6.03-sysmacros.patch
new file mode 100644
index 0000000..af464fe
--- /dev/null
+++ b/sys-boot/syslinux/files/syslinux-6.03-sysmacros.patch
@@ -0,0 +1,34 @@
+https://bugs.gentoo.org/579928
+
+From d84db34dbe39d55b4d7e868764c056689aa0793b Mon Sep 17 00:00:00 2001
+From: Mike Frysinger <vapier@gentoo.org>
+Date: Tue, 19 Apr 2016 01:56:41 -0400
+Subject: [PATCH] extlinux: pull in sys/sysmacros.h for major/minor/makedev
+
+These functions are defined in sys/sysmacros.h, so add the include to
+main.c.  This is already handled correctly in mountinfo.c.  Otherwise
+we get build failures like:
+
+main.o: In function 'find_device_sysfs':
+extlinux/main.c:1131: undefined reference to 'minor'
+
+Signed-off-by: Mike Frysinger <vapier@gentoo.org>
+---
+ extlinux/main.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/extlinux/main.c b/extlinux/main.c
+index a7ebd49..ebff7ea 100644
+--- a/extlinux/main.c
++++ b/extlinux/main.c
+@@ -38,6 +38,7 @@
+ #include <sysexits.h>
+ #include <sys/ioctl.h>
+ #include <sys/stat.h>
++#include <sys/sysmacros.h>
+ #include <sys/types.h>
+ #include <sys/mount.h>
+ #include <sys/vfs.h>
+-- 
+2.7.4
+

diff --git a/sys-boot/syslinux/syslinux-6.03.ebuild b/sys-boot/syslinux/syslinux-6.03.ebuild
index 503baae..25ec57b 100644
--- a/sys-boot/syslinux/syslinux-6.03.ebuild
+++ b/sys-boot/syslinux/syslinux-6.03.ebuild
@@ -45,6 +45,8 @@ QA_PREBUILT="usr/share/${PN}/*.c32"
 src_prepare() {
 	rm -f gethostip #bug 137081
 
+	epatch "${FILESDIR}"/${PN}-6.03-sysmacros.patch #579928
+
 	# Don't prestrip or override user LDFLAGS, bug #305783
 	local SYSLINUX_MAKEFILES="extlinux/Makefile linux/Makefile mtools/Makefile \
 		sample/Makefile utils/Makefile"


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/, sys-boot/syslinux/files/
@ 2019-06-04  5:27 Andreas K. Hüttel
  0 siblings, 0 replies; 6+ messages in thread
From: Andreas K. Hüttel @ 2019-06-04  5:27 UTC (permalink / raw
  To: gentoo-commits

commit:     b25008c3b1291af6a15317313ba0184c75536685
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  4 05:22:21 2019 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Tue Jun  4 05:22:21 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b25008c3

sys-boot/syslinux: remove old

Package-Manager: Portage-2.3.67, Repoman-2.3.13
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 sys-boot/syslinux/Manifest                        |  2 -
 sys-boot/syslinux/files/syslinux-3.86-nopie.patch | 12 ----
 sys-boot/syslinux/syslinux-3.86.ebuild            | 57 ------------------
 sys-boot/syslinux/syslinux-4.07.ebuild            | 70 -----------------------
 4 files changed, 141 deletions(-)

diff --git a/sys-boot/syslinux/Manifest b/sys-boot/syslinux/Manifest
index 075dffab8f0..b9ab5dc8f24 100644
--- a/sys-boot/syslinux/Manifest
+++ b/sys-boot/syslinux/Manifest
@@ -1,5 +1,3 @@
-DIST syslinux-3.86.tar.bz2 3735823 BLAKE2B b5c03462183bc1be37d82c4995da2911e5c70d08eefb9f01c731e1d77e2df9c1ac29fcea6f58a94bc67094af8e415993783929979209a74826e773e9c35ba803 SHA512 6231f233e5f5ac26aa7e4bfd2704e2a4081350a3f3f21b5ec88a13cf992528c2796dbdfdf6cc2cc7a9543828650ae46de3685e5e55fac3a6ad520430220d1073
-DIST syslinux-4.07.tar.bz2 5761877 BLAKE2B 2fe28f268f896601a045564b1e3dde618d57ebf4098d007f7e45119ad019fa88221658608f88e55d4d09cd297140427cdeaf03a40a2341d732064a0630fe92b5 SHA512 8efbd14803ec74c5ee699a754b4727e4b975c08afd4dbb39f4b7ccdb90743e4459cd4609c6f1065c7b7efaa26c9d465806254891795d363758f35a2fe5704ae5
 DIST syslinux-5.10.tar.xz 5315660 BLAKE2B 19d6861bb6220fe57e12d8d6118d37b197c3c771e4d2e7a51ce7db39219e3c837e6d1543d7a3927820f3a34da34ce849f9badbaf9cd83cb5ee24fd5ed7b705f2 SHA512 56422e14b4aa53ca1a5811da0582dbbb349aa52b9e78868bbedc24c67ef2420c4d0ac63fd68c7f0adc2c22606196276265d503b5b6f9d3d796d9ce42845bbdb5
 DIST syslinux-6.03.tar.xz 6855224 BLAKE2B 9caccf8bed4e3c3e87393c9dc8f3b3d267c14469bbf8135a648ea41d8a43a4aedbf2b007c6b9a6853de8866152f5bc33e5ea85fca1db86c5f2fac88d97189b0f SHA512 dd2b2916962b9e93bc1e714182e3ca2a727a229b8afabe913050bcfdd43ee2af51ee3acf79121d8c20caf434583efaa7f3196871e0e07c04d82191323a50fe31
 DIST syslinux-6.04-pre1.tar.xz 5283272 BLAKE2B 800e5977ed13b26a1756c33d8625e850631b642e26a86e3328196ddd998596693c3a26db0ada4c0ba78a4ba692a1cc01886b6eb693d877ddafcfb325ecdeb639 SHA512 7927dd39be8e2dcf4138a6fea33def67d19d938379d694f15b48fdd2f5924c028b7a9e7bd71d0c7c6630c203e9e2a54296628e530632ad5e6f55b1ebefe8fc98

diff --git a/sys-boot/syslinux/files/syslinux-3.86-nopie.patch b/sys-boot/syslinux/files/syslinux-3.86-nopie.patch
deleted file mode 100644
index efe939e43d3..00000000000
--- a/sys-boot/syslinux/files/syslinux-3.86-nopie.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -ur a/com32/MCONFIG b/com32/MCONFIG
---- a/com32/MCONFIG	2010-03-31 18:24:25.000000000 +0200
-+++ b/com32/MCONFIG	2010-04-05 00:03:55.612973516 +0200
-@@ -20,6 +20,8 @@
- GCCOPT	  := $(call gcc_ok,-std=gnu99,)					\
- 	     $(call gcc_ok,-m32,)					\
- 	     $(call gcc_ok,-fno-stack-protector,)			\
-+	     $(call gcc_ok,-nopie,)					\
-+	     $(call gcc_ok,-fno-pie,)					\
- 	     $(call gcc_ok,-falign-functions=0,-malign-functions=0)	\
- 	     $(call gcc_ok,-falign-jumps=0,-malign-jumps=0)		\
- 	     $(call gcc_ok,-falign-loops=0,-malign-loops=0)		\

diff --git a/sys-boot/syslinux/syslinux-3.86.ebuild b/sys-boot/syslinux/syslinux-3.86.ebuild
deleted file mode 100644
index a6f387689ac..00000000000
--- a/sys-boot/syslinux/syslinux-3.86.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=0
-
-inherit eutils toolchain-funcs
-
-DESCRIPTION="SysLinux, IsoLinux and PXELinux bootloader"
-HOMEPAGE="https://syslinux.zytor.com/"
-SRC_URI="mirror://kernel/linux/utils/boot/syslinux/${PV:0:1}.xx/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="custom-cflags"
-
-RDEPEND="sys-fs/mtools
-		dev-perl/Crypt-PasswdMD5
-		dev-perl/Digest-SHA1"
-DEPEND="${RDEPEND}
-	dev-lang/nasm"
-
-# This ebuild is a departure from the old way of rebuilding everything in syslinux
-# This departure is necessary since hpa doesn't support the rebuilding of anything other
-# than the installers.
-
-# removed all the unpack/patching stuff since we aren't rebuilding the core stuff anymore
-
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-	epatch "${FILESDIR}"/${PN}-3.86-nopie.patch
-
-	rm -f gethostip #bug 137081
-
-	local SYSLINUX_MAKEFILES="extlinux/Makefile linux/Makefile mtools/Makefile \
-		sample/Makefile utils/Makefile"
-	sed -i ${SYSLINUX_MAKEFILES} -e '/^LDFLAGS/d' || die "sed failed"
-
-	if use custom-cflags; then
-		sed -i ${SYSLINUX_MAKEFILES} \
-			-e 's|-g -Os||g' \
-			-e 's|-Os||g' \
-			-e 's|CFLAGS[[:space:]]\+=|CFLAGS +=|g' \
-			|| die "sed custom-cflags failed"
-	fi
-
-}
-
-src_compile() {
-	emake CC="$(tc-getCC)" installer || die
-}
-
-src_install() {
-	emake INSTALLSUBDIRS=utils INSTALLROOT="${D}" MANDIR=/usr/share/man install || die
-	dodoc README NEWS TODO doc/*
-}

diff --git a/sys-boot/syslinux/syslinux-4.07.ebuild b/sys-boot/syslinux/syslinux-4.07.ebuild
deleted file mode 100644
index 6d6dee9d9c9..00000000000
--- a/sys-boot/syslinux/syslinux-4.07.ebuild
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=0
-
-inherit eutils toolchain-funcs
-
-DESCRIPTION="SYSLINUX, PXELINUX, ISOLINUX, EXTLINUX and MEMDISK bootloaders"
-HOMEPAGE="https://syslinux.zytor.com/"
-SRC_URI="mirror://kernel/linux/utils/boot/syslinux/${PV:0:1}.xx/${P/_/-}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="custom-cflags"
-
-RDEPEND="sys-fs/mtools
-		dev-perl/Crypt-PasswdMD5
-		dev-perl/Digest-SHA1"
-DEPEND="${RDEPEND}
-	dev-lang/nasm
-	virtual/os-headers"
-
-S=${WORKDIR}/${P/_/-}
-
-# This ebuild is a departure from the old way of rebuilding everything in syslinux
-# This departure is necessary since hpa doesn't support the rebuilding of anything other
-# than the installers.
-
-# removed all the unpack/patching stuff since we aren't rebuilding the core stuff anymore
-
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-	# Fix building on hardened
-	epatch "${FILESDIR}"/${PN}-4.05-nopie.patch
-
-	rm -f gethostip #bug 137081
-
-	# Don't prestrip or override user LDFLAGS, bug #305783
-	local SYSLINUX_MAKEFILES="extlinux/Makefile linux/Makefile mtools/Makefile \
-		sample/Makefile utils/Makefile"
-	sed -i ${SYSLINUX_MAKEFILES} -e '/^LDFLAGS/d' || die "sed failed"
-
-	if use custom-cflags; then
-		sed -i ${SYSLINUX_MAKEFILES} \
-			-e 's|-g -Os||g' \
-			-e 's|-Os||g' \
-			-e 's|CFLAGS[[:space:]]\+=|CFLAGS +=|g' \
-			|| die "sed custom-cflags failed"
-	else
-		QA_FLAGS_IGNORED="
-			/sbin/extlinux
-			/usr/bin/memdiskfind
-			/usr/bin/gethostip
-			/usr/bin/isohybrid
-			/usr/bin/syslinux
-			"
-	fi
-
-}
-
-src_compile() {
-	emake CC="$(tc-getCC)" installer || die
-}
-
-src_install() {
-	emake INSTALLSUBDIRS=utils INSTALLROOT="${D}" MANDIR=/usr/share/man install || die
-	dodoc README NEWS doc/*.txt || die
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/, sys-boot/syslinux/files/
@ 2019-11-07  7:19 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2019-11-07  7:19 UTC (permalink / raw
  To: gentoo-commits

commit:     a1392fec2498c7ac20c7af05ce143f6a767ef6f0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov  7 07:18:11 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Nov  7 07:18:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1392fec

sys-boot/syslinux: Revert "Drop old (EAPI 0)"

Removed one version too many.

Reverts: c2bee80a1c812e65f094acd3861c6a00b279f56d
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sys-boot/syslinux/Manifest                        |  2 +
 sys-boot/syslinux/files/syslinux-4.05-nopie.patch | 12 ++++
 sys-boot/syslinux/syslinux-4.07.ebuild            | 70 +++++++++++++++++++
 sys-boot/syslinux/syslinux-5.10.ebuild            | 82 +++++++++++++++++++++++
 4 files changed, 166 insertions(+)

diff --git a/sys-boot/syslinux/Manifest b/sys-boot/syslinux/Manifest
index d67d42371b9..f247daa7748 100644
--- a/sys-boot/syslinux/Manifest
+++ b/sys-boot/syslinux/Manifest
@@ -1,2 +1,4 @@
+DIST syslinux-4.07.tar.bz2 5761877 BLAKE2B 2fe28f268f896601a045564b1e3dde618d57ebf4098d007f7e45119ad019fa88221658608f88e55d4d09cd297140427cdeaf03a40a2341d732064a0630fe92b5 SHA512 8efbd14803ec74c5ee699a754b4727e4b975c08afd4dbb39f4b7ccdb90743e4459cd4609c6f1065c7b7efaa26c9d465806254891795d363758f35a2fe5704ae5
+DIST syslinux-5.10.tar.xz 5315660 BLAKE2B 19d6861bb6220fe57e12d8d6118d37b197c3c771e4d2e7a51ce7db39219e3c837e6d1543d7a3927820f3a34da34ce849f9badbaf9cd83cb5ee24fd5ed7b705f2 SHA512 56422e14b4aa53ca1a5811da0582dbbb349aa52b9e78868bbedc24c67ef2420c4d0ac63fd68c7f0adc2c22606196276265d503b5b6f9d3d796d9ce42845bbdb5
 DIST syslinux-6.03.tar.xz 6855224 BLAKE2B 9caccf8bed4e3c3e87393c9dc8f3b3d267c14469bbf8135a648ea41d8a43a4aedbf2b007c6b9a6853de8866152f5bc33e5ea85fca1db86c5f2fac88d97189b0f SHA512 dd2b2916962b9e93bc1e714182e3ca2a727a229b8afabe913050bcfdd43ee2af51ee3acf79121d8c20caf434583efaa7f3196871e0e07c04d82191323a50fe31
 DIST syslinux-6.04-pre1.tar.xz 5283272 BLAKE2B 800e5977ed13b26a1756c33d8625e850631b642e26a86e3328196ddd998596693c3a26db0ada4c0ba78a4ba692a1cc01886b6eb693d877ddafcfb325ecdeb639 SHA512 7927dd39be8e2dcf4138a6fea33def67d19d938379d694f15b48fdd2f5924c028b7a9e7bd71d0c7c6630c203e9e2a54296628e530632ad5e6f55b1ebefe8fc98

diff --git a/sys-boot/syslinux/files/syslinux-4.05-nopie.patch b/sys-boot/syslinux/files/syslinux-4.05-nopie.patch
new file mode 100644
index 00000000000..b50b6b47689
--- /dev/null
+++ b/sys-boot/syslinux/files/syslinux-4.05-nopie.patch
@@ -0,0 +1,12 @@
+diff -ur a/mk/com32.mk b/mk/com32.mk
+--- a/mk/com32.mk	2011-12-09 19:28:17.000000000 +0100
++++ b/mk/com32.mk	2011-12-18 18:22:11.032342645 +0100
+@@ -24,6 +24,8 @@
+ GCCOPT += $(call gcc_ok,-freg-struct-return,)
+ GCCOPT += -mregparm=3 -DREGPARM=3 -march=i386 -Os
+ GCCOPT += $(call gcc_ok,-fPIE,-fPIC)
++GCCOPT += $(call gcc_ok,-nopie,)
++GCCOPT += $(call gcc_ok,-fno-pie,)
+ GCCOPT += $(call gcc_ok,-fno-exceptions,)
+ GCCOPT += $(call gcc_ok,-fno-asynchronous-unwind-tables,)
+ GCCOPT += $(call gcc_ok,-fno-strict-aliasing,)

diff --git a/sys-boot/syslinux/syslinux-4.07.ebuild b/sys-boot/syslinux/syslinux-4.07.ebuild
new file mode 100644
index 00000000000..021f559c7eb
--- /dev/null
+++ b/sys-boot/syslinux/syslinux-4.07.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=0
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="SYSLINUX, PXELINUX, ISOLINUX, EXTLINUX and MEMDISK bootloaders"
+HOMEPAGE="https://syslinux.zytor.com/"
+SRC_URI="https://www.kernel.org/pub/linux/utils/boot/syslinux/${PV:0:1}.xx/${P/_/-}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="-* amd64 x86"
+IUSE="custom-cflags"
+
+RDEPEND="sys-fs/mtools
+		dev-perl/Crypt-PasswdMD5
+		dev-perl/Digest-SHA1"
+DEPEND="${RDEPEND}
+	dev-lang/nasm
+	virtual/os-headers"
+
+S=${WORKDIR}/${P/_/-}
+
+# This ebuild is a departure from the old way of rebuilding everything in syslinux
+# This departure is necessary since hpa doesn't support the rebuilding of anything other
+# than the installers.
+
+# removed all the unpack/patching stuff since we aren't rebuilding the core stuff anymore
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+	# Fix building on hardened
+	epatch "${FILESDIR}"/${PN}-4.05-nopie.patch
+
+	rm -f gethostip #bug 137081
+
+	# Don't prestrip or override user LDFLAGS, bug #305783
+	local SYSLINUX_MAKEFILES="extlinux/Makefile linux/Makefile mtools/Makefile \
+		sample/Makefile utils/Makefile"
+	sed -i ${SYSLINUX_MAKEFILES} -e '/^LDFLAGS/d' || die "sed failed"
+
+	if use custom-cflags; then
+		sed -i ${SYSLINUX_MAKEFILES} \
+			-e 's|-g -Os||g' \
+			-e 's|-Os||g' \
+			-e 's|CFLAGS[[:space:]]\+=|CFLAGS +=|g' \
+			|| die "sed custom-cflags failed"
+	else
+		QA_FLAGS_IGNORED="
+			/sbin/extlinux
+			/usr/bin/memdiskfind
+			/usr/bin/gethostip
+			/usr/bin/isohybrid
+			/usr/bin/syslinux
+			"
+	fi
+
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)" installer || die
+}
+
+src_install() {
+	emake INSTALLSUBDIRS=utils INSTALLROOT="${D}" MANDIR=/usr/share/man install || die
+	dodoc README NEWS doc/*.txt || die
+}

diff --git a/sys-boot/syslinux/syslinux-5.10.ebuild b/sys-boot/syslinux/syslinux-5.10.ebuild
new file mode 100644
index 00000000000..bc99bbf6c4e
--- /dev/null
+++ b/sys-boot/syslinux/syslinux-5.10.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="SYSLINUX, PXELINUX, ISOLINUX, EXTLINUX and MEMDISK bootloaders"
+HOMEPAGE="https://www.syslinux.org/"
+SRC_URI="https://www.kernel.org/pub/linux/utils/boot/syslinux/${PV:0:1}.xx/${P/_/-}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="-* amd64 x86"
+IUSE="custom-cflags"
+
+RDEPEND="sys-fs/mtools
+		dev-perl/Crypt-PasswdMD5
+		dev-perl/Digest-SHA1"
+DEPEND="${RDEPEND}
+	dev-lang/nasm
+	virtual/os-headers"
+
+S=${WORKDIR}/${P/_/-}
+
+# This ebuild is a departure from the old way of rebuilding everything in syslinux
+# This departure is necessary since hpa doesn't support the rebuilding of anything other
+# than the installers.
+
+# These are executables which come precompiled and are run by the boot loader
+QA_PREBUILT="usr/share/${PN}/*.c32"
+
+# removed all the unpack/patching stuff since we aren't rebuilding the core stuff anymore
+
+src_prepare() {
+	# Fix building on hardened
+	epatch "${FILESDIR}"/${PN}-4.05-nopie.patch
+
+	rm -f gethostip #bug 137081
+
+	# Don't prestrip or override user LDFLAGS, bug #305783
+	local SYSLINUX_MAKEFILES="extlinux/Makefile linux/Makefile mtools/Makefile \
+		sample/Makefile utils/Makefile"
+	sed -i ${SYSLINUX_MAKEFILES} -e '/^LDFLAGS/d' || die "sed failed"
+
+	if use custom-cflags; then
+		sed -i ${SYSLINUX_MAKEFILES} \
+			-e 's|-g -Os||g' \
+			-e 's|-Os||g' \
+			-e 's|CFLAGS[[:space:]]\+=|CFLAGS +=|g' \
+			|| die "sed custom-cflags failed"
+	else
+		QA_FLAGS_IGNORED="
+			/sbin/extlinux
+			/usr/bin/memdiskfind
+			/usr/bin/gethostip
+			/usr/bin/isohybrid
+			/usr/bin/syslinux
+			"
+	fi
+
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)" installer
+}
+
+src_install() {
+	emake INSTALLSUBDIRS=utils INSTALLROOT="${D}" MANDIR=/usr/share/man install
+	dodoc README NEWS doc/*.txt
+}
+
+pkg_postinst() {
+	# print warning for users upgrading from the previous stable version
+	if has 4.07 ${REPLACING_VERSIONS}; then
+		ewarn "syslinux now uses dynamically linked ELF executables. Before you reboot,"
+		ewarn "ensure that needed dependencies are fulfilled. For example, run from your"
+		ewarn "syslinux directory:"
+		ewarn
+		ewarn "LD_LIBRARY_PATH=\".\" ldd menu.c32"
+	fi
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/, sys-boot/syslinux/files/
@ 2020-04-06 22:49 Sergei Trofimovich
  0 siblings, 0 replies; 6+ messages in thread
From: Sergei Trofimovich @ 2020-04-06 22:49 UTC (permalink / raw
  To: gentoo-commits

commit:     8284530f4bd86a38b9867f847bd844f5d8d08e87
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  6 22:46:03 2020 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Mon Apr  6 22:49:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8284530f

sys-boot/syslinux: tweak for gcc-10, bug #705730

Closes: https://bugs.gentoo.org/705730
Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 .../files/syslinux-6.04_pre1-fcommon.patch         |  54 +++++++++++
 sys-boot/syslinux/syslinux-6.04_pre1-r1.ebuild     | 107 +++++++++++++++++++++
 2 files changed, 161 insertions(+)

diff --git a/sys-boot/syslinux/files/syslinux-6.04_pre1-fcommon.patch b/sys-boot/syslinux/files/syslinux-6.04_pre1-fcommon.patch
new file mode 100644
index 00000000000..7d061db2656
--- /dev/null
+++ b/sys-boot/syslinux/files/syslinux-6.04_pre1-fcommon.patch
@@ -0,0 +1,54 @@
+https://bugs.gentoo.org/705730
+
+gcc-10 enabled f-no-common by default. Broke syslinux linking.
+--- a/mk/com32.mk
++++ b/mk/com32.mk
+@@ -47,6 +47,7 @@ GCCOPT += $(call gcc_ok,-falign-functions=0,-malign-functions=0)
+ GCCOPT += $(call gcc_ok,-falign-jumps=0,-malign-jumps=0)
+ GCCOPT += $(call gcc_ok,-falign-labels=0,-malign-labels=0)
+ GCCOPT += $(call gcc_ok,-falign-loops=0,-malign-loops=0)
++GCCOPT += $(call gcc_ok,-fcommon)
+ 
+ ifeq ($(FWCLASS),EFI)
+ GCCOPT += -mno-red-zone
+--- a/mk/elf.mk
++++ b/mk/elf.mk
+@@ -42,6 +42,7 @@ GCCOPT += $(call gcc_ok,-falign-functions=0,-malign-functions=0)
+ GCCOPT += $(call gcc_ok,-falign-jumps=0,-malign-jumps=0)
+ GCCOPT += $(call gcc_ok,-falign-labels=0,-malign-labels=0)
+ GCCOPT += $(call gcc_ok,-falign-loops=0,-malign-loops=0)
++GCCOPT += $(call gcc_ok,-fcommon)
+ 
+ com32 = $(topdir)/com32
+ core = $(topdir)/core
+--- a/mk/embedded.mk
++++ b/mk/embedded.mk
+@@ -51,6 +51,7 @@ GCCOPT    += $(call gcc_ok,-falign-jumps=0,-malign-jumps=0)
+ GCCOPT    += $(call gcc_ok,-falign-labels=0,-malign-labels=0)
+ GCCOPT    += $(call gcc_ok,-falign-loops=0,-malign-loops=0)
+ GCCOPT    += $(call gcc_ok,-fvisibility=hidden)
++GCCOPT    += $(call gcc_ok,-fcommon)
+ 
+ LIBGCC    := $(shell $(CC) $(GCCOPT) --print-libgcc)
+ 
+--- a/mk/lib.mk
++++ b/mk/lib.mk
+@@ -28,6 +28,7 @@ GCCOPT += $(call gcc_ok,-falign-functions=0,-malign-functions=0)
+ GCCOPT += $(call gcc_ok,-falign-jumps=0,-malign-jumps=0)
+ GCCOPT += $(call gcc_ok,-falign-labels=0,-malign-labels=0)
+ GCCOPT += $(call gcc_ok,-falign-loops=0,-malign-loops=0)
++GCCOPT += $(call gcc_ok,-fcommon)
+ 
+ INCLUDE	= -I$(SRC)
+ STRIP	= strip --strip-all -R .comment -R .note
+--- a/mk/efi.mk
++++ b/mk/efi.mk
+@@ -7,7 +7,7 @@ core = $(topdir)/core
+ # Set up architecture specifics; for cross compilation, set ARCH as apt
+ # gnuefi sets up architecture specifics in ia32 or x86_64 sub directories
+ # set up the LIBDIR and EFIINC for building for the appropriate architecture
+-GCCOPT := $(call gcc_ok,-fno-stack-protector,)
++GCCOPT := $(call gcc_ok,-fno-stack-protector,) $(call gcc_ok,-fcommon)
+ EFIINC = $(objdir)/include/efi
+ LIBDIR  = $(objdir)/lib
+ 

diff --git a/sys-boot/syslinux/syslinux-6.04_pre1-r1.ebuild b/sys-boot/syslinux/syslinux-6.04_pre1-r1.ebuild
new file mode 100644
index 00000000000..194db71f6e5
--- /dev/null
+++ b/sys-boot/syslinux/syslinux-6.04_pre1-r1.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="SYSLINUX, PXELINUX, ISOLINUX, EXTLINUX and MEMDISK bootloaders"
+HOMEPAGE="https://www.syslinux.org/"
+# Final releases in 6.xx/$PV.tar.* (literal "xx")
+# Testing releases in Testing/$PV/$PV.tar.*
+SRC_URI_DIR=${PV:0:1}.xx
+SRC_URI_TESTING=Testing/${PV:0:4}
+[[ ${PV/_alpha} != $PV ]] && SRC_URI_DIR=$SRC_URI_TESTING
+[[ ${PV/_beta} != $PV ]] && SRC_URI_DIR=$SRC_URI_TESTING
+[[ ${PV/_pre} != $PV ]] && SRC_URI_DIR=$SRC_URI_TESTING
+[[ ${PV/_rc} != $PV ]] && SRC_URI_DIR=$SRC_URI_TESTING
+SRC_URI="https://www.kernel.org/pub/linux/utils/boot/syslinux/${SRC_URI_DIR}/${P/_/-}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="custom-cflags"
+
+RDEPEND="sys-fs/mtools
+	dev-perl/Crypt-PasswdMD5
+	dev-perl/Digest-SHA1"
+DEPEND="${RDEPEND}
+	dev-lang/nasm
+	>=sys-boot/gnu-efi-3.0u
+	virtual/os-headers"
+
+S=${WORKDIR}/${P/_/-}
+
+# This ebuild is a departure from the old way of rebuilding everything in syslinux
+# This departure is necessary since hpa doesn't support the rebuilding of anything other
+# than the installers.
+
+# These are executables which come precompiled and are run by the boot loader
+QA_PREBUILT="usr/share/${PN}/*.c32"
+
+# removed all the unpack/patching stuff since we aren't rebuilding the core stuff anymore
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-6.03-sysmacros.patch #579928
+	"${FILESDIR}"/${P}-singleloadsegment.patch #662678
+	"${FILESDIR}"/${P}-fcommon.patch #705730
+)
+
+src_prepare() {
+	default
+
+	rm -f gethostip #bug 137081
+
+	# Don't prestrip or override user LDFLAGS, bug #305783
+	local SYSLINUX_MAKEFILES="extlinux/Makefile linux/Makefile mtools/Makefile \
+		sample/Makefile utils/Makefile"
+	sed -i ${SYSLINUX_MAKEFILES} -e '/^LDFLAGS/d' || die "sed failed"
+
+	if use custom-cflags; then
+		sed -i ${SYSLINUX_MAKEFILES} \
+			-e 's|-g -Os||g' \
+			-e 's|-Os||g' \
+			-e 's|CFLAGS[[:space:]]\+=|CFLAGS +=|g' \
+			|| die "sed custom-cflags failed"
+	else
+		QA_FLAGS_IGNORED="
+			/sbin/extlinux
+			/usr/bin/memdiskfind
+			/usr/bin/gethostip
+			/usr/bin/isohybrid
+			/usr/bin/syslinux
+			"
+	fi
+	case ${ARCH} in
+		amd64)	loaderarch="efi64" ;;
+		x86)	loaderarch="efi32" ;;
+		*)	ewarn "Unsupported architecture, building installers only." ;;
+	esac
+
+	# building with ld.gold causes problems, bug #563364
+	if tc-ld-is-gold; then
+		ewarn "Building syslinux with the gold linker may cause problems, see bug #563364"
+		if [[ -z "${I_KNOW_WHAT_I_AM_DOING}" ]]; then
+			tc-ld-disable-gold
+			ewarn "set I_KNOW_WHAT_I_AM_DOING=1 to override this."
+		else
+			ewarn "Continuing anyway as requested."
+		fi
+	fi
+}
+
+src_compile() {
+	# build system abuses the LDFLAGS variable to pass arguments to ld
+	unset LDFLAGS
+	if [[ ! -z ${loaderarch} ]]; then
+		emake CC="$(tc-getCC)" LD="$(tc-getLD)" ${loaderarch}
+	fi
+	emake CC="$(tc-getCC)" LD="$(tc-getLD)" ${loaderarch} installer
+}
+
+src_install() {
+	# parallel install fails sometimes
+	einfo "loaderarch=${loaderarch}"
+	emake -j1 CC="$(tc-getCC)" LD="$(tc-getLD)" INSTALLROOT="${D}" MANDIR=/usr/share/man bios ${loaderarch} install
+	dodoc README NEWS doc/*.txt
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/, sys-boot/syslinux/files/
@ 2022-12-25 23:54 Mike Gilbert
  0 siblings, 0 replies; 6+ messages in thread
From: Mike Gilbert @ 2022-12-25 23:54 UTC (permalink / raw
  To: gentoo-commits

commit:     5e8762eca910a406ad3421943960142093181578
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 25 23:51:38 2022 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sun Dec 25 23:53:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e8762ec

sys-boot/syslinux: drop 6.04_pre1-r4

Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 .../files/syslinux-6.04_pre1-fcommon.patch         |  54 ----
 .../syslinux-6.04_pre1-singleloadsegment.patch     | 304 ---------------------
 sys-boot/syslinux/syslinux-6.04_pre1-r4.ebuild     | 123 ---------
 3 files changed, 481 deletions(-)

diff --git a/sys-boot/syslinux/files/syslinux-6.04_pre1-fcommon.patch b/sys-boot/syslinux/files/syslinux-6.04_pre1-fcommon.patch
deleted file mode 100644
index 7d061db26563..000000000000
--- a/sys-boot/syslinux/files/syslinux-6.04_pre1-fcommon.patch
+++ /dev/null
@@ -1,54 +0,0 @@
-https://bugs.gentoo.org/705730
-
-gcc-10 enabled f-no-common by default. Broke syslinux linking.
---- a/mk/com32.mk
-+++ b/mk/com32.mk
-@@ -47,6 +47,7 @@ GCCOPT += $(call gcc_ok,-falign-functions=0,-malign-functions=0)
- GCCOPT += $(call gcc_ok,-falign-jumps=0,-malign-jumps=0)
- GCCOPT += $(call gcc_ok,-falign-labels=0,-malign-labels=0)
- GCCOPT += $(call gcc_ok,-falign-loops=0,-malign-loops=0)
-+GCCOPT += $(call gcc_ok,-fcommon)
- 
- ifeq ($(FWCLASS),EFI)
- GCCOPT += -mno-red-zone
---- a/mk/elf.mk
-+++ b/mk/elf.mk
-@@ -42,6 +42,7 @@ GCCOPT += $(call gcc_ok,-falign-functions=0,-malign-functions=0)
- GCCOPT += $(call gcc_ok,-falign-jumps=0,-malign-jumps=0)
- GCCOPT += $(call gcc_ok,-falign-labels=0,-malign-labels=0)
- GCCOPT += $(call gcc_ok,-falign-loops=0,-malign-loops=0)
-+GCCOPT += $(call gcc_ok,-fcommon)
- 
- com32 = $(topdir)/com32
- core = $(topdir)/core
---- a/mk/embedded.mk
-+++ b/mk/embedded.mk
-@@ -51,6 +51,7 @@ GCCOPT    += $(call gcc_ok,-falign-jumps=0,-malign-jumps=0)
- GCCOPT    += $(call gcc_ok,-falign-labels=0,-malign-labels=0)
- GCCOPT    += $(call gcc_ok,-falign-loops=0,-malign-loops=0)
- GCCOPT    += $(call gcc_ok,-fvisibility=hidden)
-+GCCOPT    += $(call gcc_ok,-fcommon)
- 
- LIBGCC    := $(shell $(CC) $(GCCOPT) --print-libgcc)
- 
---- a/mk/lib.mk
-+++ b/mk/lib.mk
-@@ -28,6 +28,7 @@ GCCOPT += $(call gcc_ok,-falign-functions=0,-malign-functions=0)
- GCCOPT += $(call gcc_ok,-falign-jumps=0,-malign-jumps=0)
- GCCOPT += $(call gcc_ok,-falign-labels=0,-malign-labels=0)
- GCCOPT += $(call gcc_ok,-falign-loops=0,-malign-loops=0)
-+GCCOPT += $(call gcc_ok,-fcommon)
- 
- INCLUDE	= -I$(SRC)
- STRIP	= strip --strip-all -R .comment -R .note
---- a/mk/efi.mk
-+++ b/mk/efi.mk
-@@ -7,7 +7,7 @@ core = $(topdir)/core
- # Set up architecture specifics; for cross compilation, set ARCH as apt
- # gnuefi sets up architecture specifics in ia32 or x86_64 sub directories
- # set up the LIBDIR and EFIINC for building for the appropriate architecture
--GCCOPT := $(call gcc_ok,-fno-stack-protector,)
-+GCCOPT := $(call gcc_ok,-fno-stack-protector,) $(call gcc_ok,-fcommon)
- EFIINC = $(objdir)/include/efi
- LIBDIR  = $(objdir)/lib
- 

diff --git a/sys-boot/syslinux/files/syslinux-6.04_pre1-singleloadsegment.patch b/sys-boot/syslinux/files/syslinux-6.04_pre1-singleloadsegment.patch
deleted file mode 100644
index db9b7d0a137b..000000000000
--- a/sys-boot/syslinux/files/syslinux-6.04_pre1-singleloadsegment.patch
+++ /dev/null
@@ -1,304 +0,0 @@
-Author: Lukas Schwaighofer <lukas@schwaighofer.name>
-Description: Force the linker to put all sections into a single PT_LOAD
- segment. This is required when using binutils >= 2.31 which writes two PT_LOAD
- segments by default. This is not supported by the wrapper.c script used to
- convert the shared object into an elf binary.
-Forwarded: https://www.syslinux.org/archives/2018-August/026167.html
-
----
- efi/i386/syslinux.ld   | 37 +++++++++++++++++++++----------------
- efi/x86_64/syslinux.ld | 37 +++++++++++++++++++++----------------
- 2 files changed, 42 insertions(+), 32 deletions(-)
-
-diff --git a/efi/i386/syslinux.ld b/efi/i386/syslinux.ld
-index bab3fc7..5b4589d 100644
---- a/efi/i386/syslinux.ld
-+++ b/efi/i386/syslinux.ld
-@@ -19,6 +19,11 @@ OUTPUT_FORMAT("elf32-i386", "elf32-i386", "elf32-i386")
- OUTPUT_ARCH(i386)
- ENTRY(_start)
- 
-+PHDRS
-+{
-+	all PT_LOAD ;
-+}
-+
- SECTIONS
- {
- 	. = 0;
-@@ -31,7 +36,7 @@ SECTIONS
- 		*(.text)
- 		*(.text.*)
- 		__text_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(16);
- 
-@@ -40,7 +45,7 @@ SECTIONS
- 		*(.rodata)
- 		*(.rodata.*)
- 		__rodata_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(4);
- 
-@@ -49,14 +54,14 @@ SECTIONS
- 		KEEP (*(SORT(.ctors.*)))
- 		KEEP (*(.ctors))
- 		__ctors_end = .;
--	}
-+	} :all
- 
- 	.dtors : {
- 		__dtors_start = .;
- 		KEEP (*(SORT(.dtors.*)))
- 		KEEP (*(.dtors))
- 		__dtors_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(4096);
- 	.rel : {
-@@ -64,7 +69,7 @@ SECTIONS
- 		*(.rel.data)
- 		*(.rel.data.*)
- 		*(.rel.ctors)
--	}
-+	} :all
- 
- 	. = ALIGN(4);
- 
-@@ -72,14 +77,14 @@ SECTIONS
- 		__gnu_hash_start = .;
- 		*(.gnu.hash)
- 		__gnu_hash_end = .;
--	}
-+	} :all
- 
- 
- 	.dynsym : {
- 		__dynsym_start = .;
- 		*(.dynsym)
- 		__dynsym_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(4);
- 
-@@ -87,7 +92,7 @@ SECTIONS
- 		__dynstr_start = .;
- 		*(.dynstr)
- 		__dynstr_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(4);
- 
-@@ -104,7 +109,7 @@ SECTIONS
- 		KEEP (*(.got.plt))
- 		KEEP (*(.got))
- 		__got_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(4);
- 
-@@ -112,7 +117,7 @@ SECTIONS
- 		__dynamic_start = .;
- 		*(.dynamic)
- 		__dynamic_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(16);
- 
-@@ -122,19 +127,19 @@ SECTIONS
- 		*(.data.*)
- 		*(.lowmem)
- 		__data_end = .;
--	}
-+	} :all
- 
- 	.reloc : {
- 		*(.reloc)
--	}
-+	} :all
- 
- 	.symtab : {
- 		*(.symtab)
--	}
-+	} :all
- 
- 	.strtab : {
- 		*(.strtab)
--	}
-+	} :all
- 
- 	.bss (NOLOAD) : {
- 		/* the EFI loader doesn't seem to like a .bss section,
-@@ -148,7 +153,7 @@ SECTIONS
- 		__bss_end = .;
- 		*(.sbss)
- 		*(.scommon)
--	}
-+	} :all
- 	__bss_len = ABSOLUTE(__bss_end) - ABSOLUTE(__bss_start);
- 	__bss_dwords = (__bss_len + 3) >> 2;
- 
-@@ -161,7 +166,7 @@ SECTIONS
- 		*(.hugebss)
- 		*(.hugebss.*)
- 		__hugebss_end = .;
--	}
-+	} :all
- 
- 	_end = .;
- 
-diff --git a/efi/x86_64/syslinux.ld b/efi/x86_64/syslinux.ld
-index 450641c..cad28a8 100644
---- a/efi/x86_64/syslinux.ld
-+++ b/efi/x86_64/syslinux.ld
-@@ -19,6 +19,11 @@ OUTPUT_FORMAT("elf64-x86-64", "elf64-x86-64", "elf64-x86-64")
- OUTPUT_ARCH(i386:x86-64)
- ENTRY(_start)
- 
-+PHDRS
-+{
-+	all PT_LOAD ;
-+}
-+
- SECTIONS
- {
- 	. = 0;
-@@ -31,7 +36,7 @@ SECTIONS
- 		*(.text)
- 		*(.text.*)
- 		__text_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(16);
- 
-@@ -40,7 +45,7 @@ SECTIONS
- 		*(.rodata)
- 		*(.rodata.*)
- 		__rodata_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(4);
- 
-@@ -49,14 +54,14 @@ SECTIONS
- 		KEEP (*(SORT(.ctors.*)))
- 		KEEP (*(.ctors))
- 		__ctors_end = .;
--	}
-+	} :all
- 
- 	.dtors : {
- 		__dtors_start = .;
- 		KEEP (*(SORT(.dtors.*)))
- 		KEEP (*(.dtors))
- 		__dtors_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(4096);
- 	.rel : {
-@@ -64,7 +69,7 @@ SECTIONS
- 		*(.rel.data)
- 		*(.rel.data.*)
- 		*(.rel.ctors)
--	}
-+	} :all
- 
- 	. = ALIGN(4);
- 
-@@ -72,14 +77,14 @@ SECTIONS
- 		__gnu_hash_start = .;
- 		*(.gnu.hash)
- 		__gnu_hash_end = .;
--	}
-+	} :all
- 
- 
- 	.dynsym : {
- 		__dynsym_start = .;
- 		*(.dynsym)
- 		__dynsym_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(4);
- 
-@@ -87,7 +92,7 @@ SECTIONS
- 		__dynstr_start = .;
- 		*(.dynstr)
- 		__dynstr_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(4);
- 
-@@ -104,7 +109,7 @@ SECTIONS
- 		KEEP (*(.got.plt))
- 		KEEP (*(.got))
- 		__got_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(4);
- 
-@@ -112,7 +117,7 @@ SECTIONS
- 		__dynamic_start = .;
- 		*(.dynamic)
- 		__dynamic_end = .;
--	}
-+	} :all
- 
- 	. = ALIGN(16);
- 
-@@ -122,19 +127,19 @@ SECTIONS
- 		*(.data.*)
- 		*(.lowmem)
- 		__data_end = .;
--	}
-+	} :all
- 
- 	.reloc : {
- 		*(.reloc)
--	}
-+	} :all
- 
- 	.symtab : {
- 		*(.symtab)
--	}
-+	} :all
- 
- 	.strtab : {
- 		*(.strtab)
--	}
-+	} :all
- 
- 	.bss (NOLOAD) : {
- 		/* the EFI loader doesn't seem to like a .bss section,
-@@ -148,7 +153,7 @@ SECTIONS
- 		__bss_end = .;
- 		*(.sbss)
- 		*(.scommon)
--	}
-+	} :all
- 	__bss_len = ABSOLUTE(__bss_end) - ABSOLUTE(__bss_start);
- 	__bss_dwords = (__bss_len + 3) >> 2;
- 
-@@ -161,7 +166,7 @@ SECTIONS
- 		*(.hugebss)
- 		*(.hugebss.*)
- 		__hugebss_end = .;
--	}
-+	} :all
- 
- 	_end = .;
- 

diff --git a/sys-boot/syslinux/syslinux-6.04_pre1-r4.ebuild b/sys-boot/syslinux/syslinux-6.04_pre1-r4.ebuild
deleted file mode 100644
index 0c721bfd018e..000000000000
--- a/sys-boot/syslinux/syslinux-6.04_pre1-r4.ebuild
+++ /dev/null
@@ -1,123 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit toolchain-funcs flag-o-matic
-
-DESCRIPTION="SYSLINUX, PXELINUX, ISOLINUX, EXTLINUX and MEMDISK bootloaders"
-HOMEPAGE="https://www.syslinux.org/"
-# Final releases in 6.xx/${PV}.tar.* (literal "xx")
-# Testing releases in Testing/${PV}/${PV}.tar.*
-SRC_URI_DIR=${PV:0:1}.xx
-SRC_URI_TESTING=Testing/${PV:0:4}
-[[ ${PV/_alpha} != ${PV} ]] && SRC_URI_DIR=${SRC_URI_TESTING}
-[[ ${PV/_beta} != ${PV} ]] && SRC_URI_DIR=${SRC_URI_TESTING}
-[[ ${PV/_pre} != ${PV} ]] && SRC_URI_DIR=${SRC_URI_TESTING}
-[[ ${PV/_rc} != ${PV} ]] && SRC_URI_DIR=${SRC_URI_TESTING}
-SRC_URI="https://www.kernel.org/pub/linux/utils/boot/syslinux/${SRC_URI_DIR}/${P/_/-}.tar.xz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="custom-cflags"
-
-RDEPEND="sys-apps/util-linux
-	sys-fs/mtools
-	dev-perl/Crypt-PasswdMD5
-	dev-perl/Digest-SHA1"
-DEPEND="${RDEPEND}
-	dev-lang/nasm
-	>=sys-boot/gnu-efi-3.0u
-	virtual/os-headers"
-
-S=${WORKDIR}/${P/_/-}
-
-# This ebuild is a departure from the old way of rebuilding everything in syslinux
-# This departure is necessary since hpa doesn't support the rebuilding of anything other
-# than the installers.
-
-# These are executables which come precompiled and are run by the boot loader
-QA_PREBUILT="usr/share/${PN}/*.c32"
-
-# removed all the unpack/patching stuff since we aren't rebuilding the core stuff anymore
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-6.03-sysmacros.patch #579928
-	"${FILESDIR}"/${P}-singleloadsegment.patch #662678
-	"${FILESDIR}"/${P}-fcommon.patch #705730
-)
-
-src_prepare() {
-	default
-
-	rm -f gethostip #bug 137081
-
-	# Don't prestrip or override user LDFLAGS, bug #305783
-	local SYSLINUX_MAKEFILES="extlinux/Makefile linux/Makefile mtools/Makefile \
-		sample/Makefile utils/Makefile"
-	sed -i ${SYSLINUX_MAKEFILES} -e '/^LDFLAGS/d' || die "sed failed"
-
-	if use custom-cflags; then
-		sed -i ${SYSLINUX_MAKEFILES} \
-			-e 's|-g -Os||g' \
-			-e 's|-Os||g' \
-			-e 's|CFLAGS[[:space:]]\+=|CFLAGS +=|g' \
-			|| die "sed custom-cflags failed"
-	else
-		QA_FLAGS_IGNORED="
-			/sbin/extlinux
-			/usr/bin/memdiskfind
-			/usr/bin/gethostip
-			/usr/bin/isohybrid
-			/usr/bin/syslinux
-			"
-	fi
-	case ${ARCH} in
-		amd64)	loaderarch="efi64" ;;
-		x86)	loaderarch="efi32" ;;
-		*)	ewarn "Unsupported architecture, building installers only." ;;
-	esac
-
-	# building with ld.gold causes problems, bug #563364
-	if tc-ld-is-gold; then
-		ewarn "Building syslinux with the gold linker may cause problems, see bug #563364"
-		if [[ -z "${I_KNOW_WHAT_I_AM_DOING}" ]]; then
-			tc-ld-disable-gold
-			ewarn "set I_KNOW_WHAT_I_AM_DOING=1 to override this."
-		else
-			ewarn "Continuing anyway as requested."
-		fi
-	fi
-
-	tc-export AR CC LD OBJCOPY RANLIB
-}
-
-_emake() {
-	emake \
-		AR="${AR}" \
-		CC="${CC}" \
-		LD="${LD}" \
-		OBJCOPY="${OBJCOPY}" \
-		RANLIB="${RANLIB}" \
-		"$@"
-}
-
-src_compile() {
-	filter-lto #863722
-
-	# build system abuses the LDFLAGS variable to pass arguments to ld
-	unset LDFLAGS
-	if [[ ! -z ${loaderarch} ]]; then
-		_emake ${loaderarch}
-	fi
-	_emake ${loaderarch} installer
-}
-
-src_install() {
-	# parallel install fails sometimes
-	einfo "loaderarch=${loaderarch}"
-	_emake -j1 INSTALLROOT="${D}" MANDIR=/usr/share/man bios ${loaderarch} install
-	mv "${ED}"/usr/bin/keytab-{lilo,syslinux} || die
-	dodoc README NEWS doc/*.txt
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/, sys-boot/syslinux/files/
@ 2023-08-28 19:10 Sam James
  0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2023-08-28 19:10 UTC (permalink / raw
  To: gentoo-commits

commit:     aad4c7d1977e6bf97a8d17c445ff6a7a4f9e806c
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 28 18:18:47 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 28 19:09:51 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aad4c7d1

sys-boot/syslinux: fix build w/ binutils-2.41[hardened]

Closes: https://bugs.gentoo.org/913129
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/syslinux-6.04-binutils-2.41.patch        | 74 ++++++++++++++++++++++
 sys-boot/syslinux/syslinux-6.04_pre1-r5.ebuild     |  1 +
 sys-boot/syslinux/syslinux-6.04_pre3-r1.ebuild     |  1 +
 3 files changed, 76 insertions(+)

diff --git a/sys-boot/syslinux/files/syslinux-6.04-binutils-2.41.patch b/sys-boot/syslinux/files/syslinux-6.04-binutils-2.41.patch
new file mode 100644
index 000000000000..530959fc478b
--- /dev/null
+++ b/sys-boot/syslinux/files/syslinux-6.04-binutils-2.41.patch
@@ -0,0 +1,74 @@
+https://bugs.gentoo.org/913129
+--- a/gnu-efi/gnu-efi-3.0/Make.defaults
++++ b/gnu-efi/gnu-efi-3.0/Make.defaults
+@@ -114,4 +114,4 @@ CFLAGS  += $(ARCH3264) -O2 -fpic -Wall -fshort-wchar -fno-strict-aliasing \
+            -fno-merge-constants -ffreestanding -fno-stack-protector       \
+            -fno-stack-check
+ ASFLAGS += $(ARCH3264)
+-LDFLAGS	+= -nostdlib --warn-common --no-undefined --fatal-warnings
++LDFLAGS	+= -nostdlib --warn-common --no-undefined --fatal-warnings --no-warn-rwx-segments -z notext
+--- a/gnu-efi/gnu-efi-3.0/apps/Makefile
++++ b/gnu-efi/gnu-efi-3.0/apps/Makefile
+@@ -52,7 +52,7 @@ ifneq (,$(findstring FreeBSD,$(OS)))
+ LDSCRIPT	= $(TOPDIR)/gnuefi/elf_$(ARCH)_fbsd_efi.lds
+ endif
+ 
+-LDFLAGS		+= -shared -Bsymbolic -L../lib -L../gnuefi $(CRTOBJS)
++LDFLAGS		+= -shared --no-warn-rwx-segments -z notext -Bsymbolic -L../lib -L../gnuefi $(CRTOBJS)
+ 
+ LOADLIBES	+= -lefi -lgnuefi
+ LOADLIBES	+= $(shell $(CC) $(ARCH3264) -print-libgcc-file-name)
+--- a/mk/com32.mk
++++ b/mk/com32.mk
+@@ -80,7 +80,7 @@ SFLAGS     = $(GCCOPT) $(GCCWARN) \
+ 	     -I$(topdir)/core/include
+ 
+ COM32LD	   = $(com32)/lib/$(ARCH)/elf.ld
+-LDFLAGS    = -m elf_$(ARCH) -shared --hash-style=gnu -T $(COM32LD)
++LDFLAGS    = -m elf_$(ARCH) -shared --no-warn-rwx-segments -z notext --hash-style=gnu -T $(COM32LD)
+ LIBGCC    := $(shell $(CC) $(GCCOPT) --print-libgcc)
+ 
+ LNXCFLAGS  = -I$(com32)/libutil/include $(GCCWARN) -O -g \
+--- a/mk/efi.mk
++++ b/mk/efi.mk
+@@ -38,7 +38,7 @@ CRT0 := $(LIBDIR)/crt0-efi-$(EFI_SUBARCH).o
+ LDSCRIPT := $(LIBDIR)/elf_$(EFI_SUBARCH)_efi.lds
+ 
+ LDFLAGS = -T $(SRC)/$(ARCH)/syslinux.ld -Bsymbolic -pie -nostdlib -znocombreloc \
+-		-L$(LIBDIR) --hash-style=gnu -m elf_$(ARCH) $(CRT0) -E
++		-L$(LIBDIR) --no-warn-rwx-segments -z notext --hash-style=gnu -m elf_$(ARCH) $(CRT0) -E
+ 
+ SFLAGS     = $(GCCOPT) $(GCCWARN) $(ARCHOPT) \
+ 	     -fomit-frame-pointer -D__COM32__ -D__FIRMWARE_$(FIRMWARE)__ \
+--- a/mk/elf.mk
++++ b/mk/elf.mk
+@@ -68,7 +68,7 @@ GCCOPT += -mregparm=3 -DREGPARM=3
+ endif
+ 
+ SFLAGS     = $(GCCOPT) -D__COM32__ -D__FIRMWARE_$(FIRMWARE)__ 
+-LDFLAGS    = -m elf_$(ARCH) -shared --hash-style=gnu -T $(com32)/lib/$(ARCH)/elf.ld --as-needed
++LDFLAGS    = -m elf_$(ARCH) -shared --no-warn-rwx-segments -z notext --hash-style=gnu -T $(com32)/lib/$(ARCH)/elf.ld --as-needed
+ LIBGCC    := $(shell $(CC) $(GCCOPT) --print-libgcc)
+ 
+ LNXCFLAGS  = -I$(com32)/libutil/include -W -Wall -O -g -D_GNU_SOURCE
+--- a/mk/lib.mk
++++ b/mk/lib.mk
+@@ -205,7 +205,7 @@ CORELIBOBJS = \
+ 	$(LIBENTRY_OBJS) \
+ 	$(LIBMODULE_OBJS)
+ 
+-LDFLAGS	= -m elf_$(ARCH) --hash-style=gnu -T $(com32)/lib/$(ARCH)/elf.ld
++LDFLAGS	= -m elf_$(ARCH) --no-warn-rwx-segments -z notext --hash-style=gnu -T $(com32)/lib/$(ARCH)/elf.ld
+ 
+ .SUFFIXES: .c .o .a .so .lo .i .S .s .ls .ss .lss
+ 
+--- a/core/Makefile
++++ b/core/Makefile
+@@ -158,6 +158,7 @@ NASM_ELF = elf
+ %.elf: %.o $(LIBDEP) $(LDSCRIPT) $(AUXLIBS)
+ 	$(LD) $(LDFLAGS) -pie -Bsymbolic \
+ 		-T $(LDSCRIPT) \
++		--no-warn-rwx-segments -z notext \
+ 		--unresolved-symbols=report-all \
+ 		-E --hash-style=gnu -M -o $@ $< \
+ 		--start-group $(LIBS) $(subst $(*F).elf,lib$(*F).a,$@) --end-group \

diff --git a/sys-boot/syslinux/syslinux-6.04_pre1-r5.ebuild b/sys-boot/syslinux/syslinux-6.04_pre1-r5.ebuild
index 6b5cb5abcf12..7ba486a0a92a 100644
--- a/sys-boot/syslinux/syslinux-6.04_pre1-r5.ebuild
+++ b/sys-boot/syslinux/syslinux-6.04_pre1-r5.ebuild
@@ -46,6 +46,7 @@ src_prepare() {
 	local PATCHES=(
 		"${FILESDIR}/syslinux-6.03-sysmacros.patch"
 		"${FILESDIR}/${PV}"
+		"${FILESDIR}/syslinux-6.04-binutils-2.41.patch"
 	)
 	default
 }

diff --git a/sys-boot/syslinux/syslinux-6.04_pre3-r1.ebuild b/sys-boot/syslinux/syslinux-6.04_pre3-r1.ebuild
index b483d5b273d2..0320264c2fdd 100644
--- a/sys-boot/syslinux/syslinux-6.04_pre3-r1.ebuild
+++ b/sys-boot/syslinux/syslinux-6.04_pre3-r1.ebuild
@@ -49,6 +49,7 @@ src_prepare() {
 	local PATCHES=(
 		"${FILESDIR}/6.04_pre1"
 		"${FILESDIR}/6.04_pre3"
+		"${FILESDIR}/syslinux-6.04-binutils-2.41.patch"
 	)
 	default
 }


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2023-08-28 19:10 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-08-28 19:10 [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/, sys-boot/syslinux/files/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2022-12-25 23:54 Mike Gilbert
2020-04-06 22:49 Sergei Trofimovich
2019-11-07  7:19 Michał Górny
2019-06-04  5:27 Andreas K. Hüttel
2016-04-19  6:03 Mike Frysinger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox